Bug 118150 - FILEOPEN XLSX Chart width gets compressed
Summary: FILEOPEN XLSX Chart width gets compressed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.0.7
Keywords: filter:xlsx
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2018-06-13 18:21 UTC by Buovjaga
Modified: 2018-07-22 16:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots illustrating the problem (84.38 KB, image/png)
2018-06-13 18:21 UTC, Buovjaga
Details
Sample XLSX document with top-right Legend align for testing, created by MS EXCEL 2016 (13.88 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-07-20 01:19 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2018-06-13 18:21:19 UTC
Created attachment 142714 [details]
Screenshots illustrating the problem

1. Open attachment 118824 [details]
2. Save as XLSX and reload

Split from bug 94267, which has screenshots showing this problem as well, so setting to NEW immediately.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 98db90e2ccd7cefaa5094c2d1d2af8cb10b4a867
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 13th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 90e4c55d01637178418c33ffe818263114a53374
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-11_23:27:09
Locale: fi-FI (fi_FI); Calc: group threaded
Comment 1 Jacques Guilleron 2018-06-13 20:55:53 UTC
HI Buovjaba,
I reproduce with
LO  6.1.0.0.alpha0+
Build ID: 0d1479cbd442c3ec3bdd20333c341ea24dcca21e
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-10_01:47:26
Locale: fr-FR (fr_FR); Calc: CL
where X axis Major interval is 2 months.
and
LO  3.5.3.2 
Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
on Windows 7
where X axis Maor interval is 6 months.
Comment 2 Bartosz 2018-07-19 23:27:42 UTC
It seems that it is an XLSX File Open error, as MS Excel is opening attached file properly
Comment 3 Bartosz 2018-07-20 01:01:20 UTC
After
Comment 4 Bartosz 2018-07-20 01:01:34 UTC
Review:
https://gerrit.libreoffice.org/#/c/57762/
Comment 5 Bartosz 2018-07-20 01:19:18 UTC
Created attachment 143653 [details]
Sample XLSX document with top-right Legend align for testing, created by MS EXCEL 2016
Comment 6 Commit Notification 2018-07-20 20:55:12 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fc41c53dfbd21e526fb0ad68a6651693c4a2ecd

tdf#118150 Fix displaying of chart where Legend is set manually

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-07-21 21:30:11 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2466ea26c4bef1e002a24f6845084633e5a058c4&h=libreoffice-6-1

tdf#118150 Fix displaying of chart where Legend is set manually

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-07-21 21:30:22 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfbf276c9e1b7da55b613fade763fad56a1cd6fe&h=libreoffice-6-0

tdf#118150 Fix displaying of chart where Legend is set manually

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Buovjaga 2018-07-22 12:52:00 UTC
Verified the fix. Cheers!

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: b9d18daf5b23155a9b4dfcdd5d1f23ed53bc3849
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on July 22nd 2018
Comment 10 Jacques Guilleron 2018-07-22 16:21:36 UTC
Works as expected with
LO 6.2.0.0.alpha0+
Build ID: fa881095bc62c3646406c82a98d8503377288a54
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-22_03:27:00
Locale: fr-FR (fr_FR); Calc: CL
Thank you Bartosz.